## gauche 0.9.5

=== winnt/wix/Makefile ===
MORE_CONTENT = Gauche/COPYING.rtf \
	       Gauche/gauche-logo.ico

ifeq ($(MSYSTEM),MINGW64)
  ARCH_SUFFIX=-64bit
  GENWXS_OPTION=--arch=x64
  CANDLE_OPTION=-arch x64
else ifeq ($(MSYSTEM),MINGW32)
  ARCH_SUFFIX=-32bit
  GENWXS_OPTION=
  CANDLE_OPTION=
else
  ARCH_SUFFIX=
  GENWXS_OPTION=
  CANDLE_OPTION=
endif

INSTALLER_FILENAME=Gauche-mingw-`Gauche/bin/gauche-config -V`$(ARCH_SUFFIX).msi

COPYING=../../COPYING

all: stamp$(ARCH_SUFFIX).0

stamp$(ARCH_SUFFIX).0 : genwxs.scm Gauche $(MORE_CONTENT)
	rm -f gauche$(ARCH_SUFFIX).wxs $(INSTALLER_FILENAME)
	../../src/gosh -ftest ./genwxs.scm $(GENWXS_OPTION) gauche$(ARCH_SUFFIX).wxs
	candle $(CANDLE_OPTION) gauche$(ARCH_SUFFIX).wxs
	light -ext WixUIExtension -sice:ICE61 gauche$(ARCH_SUFFIX).wixobj
	mv gauche$(ARCH_SUFFIX).msi $(INSTALLER_FILENAME)
	touch stamp$(ARCH_SUFFIX).0

# We must include LGPL for libiconv.dll, so some tweaks...

Gauche/COPYING.rtf : txt2rtf.scm $(COPYING)
	cat intro-COPYING.txt > copying.tmp
	sed '1,/^$$/ d' $(COPYING) >> copying.tmp
	cat libiconv-COPYING.LIB >> copying.tmp
	../../src/gosh -ftest ./txt2rtf.scm copying.tmp Gauche/COPYING.rtf

Gauche/gauche-logo.ico : gauche-logo.ico
	cp gauche-logo.ico Gauche/

clean:
	rm -f stamp*.0 *.tmp *.wxs *.msi *.wixobj *.wixpdb *.log *~
	rm -rf Gauche/

=== ext/tls/axTLS/Makefile ===
#
# Copyright (c) 2007, Cameron Rich
#
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are met:
#
# * Redistributions of source code must retain the above copyright notice,
#   this list of conditions and the following disclaimer.
# * Redistributions in binary form must reproduce the above copyright
#   notice, this list of conditions and the following disclaimer in the
#   documentation and/or other materials provided with the distribution.
# * Neither the name of the axTLS project nor the names of its
#   contributors may be used to endorse or promote products derived
#   from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR 
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
# CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED
# TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY 
# OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
# NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
# THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

-include config/.config

ifneq ($(strip $(HAVE_DOT_CONFIG)),y)
all: menuconfig
else
all: target
endif

include config/makefile.conf

target : $(STAGE) $(TARGET)

# VERSION has to come from the command line
RELEASE=axTLS-$(VERSION)

# standard version
target:
	$(MAKE) -C crypto
	$(MAKE) -C ssl
ifdef CONFIG_AXHTTPD
	$(MAKE) -C httpd
endif
ifdef CONFIG_AXTLSWRAP
	$(MAKE) -C axtlswrap
endif
ifdef CONFIG_BINDINGS
	$(MAKE) -C bindings
endif
ifdef CONFIG_SAMPLES
	$(MAKE) -C samples
endif

$(STAGE) : ssl/version.h
	@mkdir -p $(STAGE)

# create a version file with something in it.
ssl/version.h:
	@echo "#define AXTLS_VERSION    \"(no version)\"" > ssl/version.h

$(PREFIX) :
	@mkdir -p $(PREFIX)/lib
	@mkdir -p $(PREFIX)/bin

release:
	$(MAKE) -C config/scripts/config clean
	-$(MAKE) clean
	-@rm config/*.msi config/*.back.aip config/config.h config/.config*
	-@rm www/index.20*
	-@rm -fr $(STAGE)
	@echo "#define AXTLS_VERSION    \"$(VERSION)\"" > ssl/version.h
	cd ../; tar cvfz $(RELEASE).tar.gz --wildcards-match-slash --exclude .svn axtls-code; cd -;

docs:
	$(MAKE) -C docsrc doco

# build the Win32 demo release version
win32_demo:
	@echo "#define AXTLS_VERSION    \"$(VERSION)\"" > ssl/version.h
	$(MAKE) win32releaseconf

install: $(PREFIX) all
	cp --no-dereference $(STAGE)/libax* $(PREFIX)/lib
	chmod 755 $(PREFIX)/lib/libax* 
ifdef CONFIG_SAMPLES
	install -m 755 $(STAGE)/ax* $(PREFIX)/bin 
endif
ifdef CONFIG_HTTP_HAS_AUTHORIZATION
	install -m 755 $(STAGE)/htpasswd $(PREFIX)/bin 
endif
ifdef CONFIG_PLATFORM_CYGWIN
	install -m 755 $(STAGE)/cygaxtls.dll $(PREFIX)/bin 
endif
ifdef CONFIG_PERL_BINDINGS 
	install -m 755 $(STAGE)/axtlsp.pm `perl -e 'use Config; print $$Config{installarchlib};'`
endif
	@mkdir -p -m 755 $(PREFIX)/include/axTLS
	install -m 644 crypto/*.h $(PREFIX)/include/axTLS
	install -m 644 ssl/*.h $(PREFIX)/include/axTLS
	-rm $(PREFIX)/include/axTLS/cert.h
	-rm $(PREFIX)/include/axTLS/private_key.h
	-rm $(PREFIX)/include/axTLS/os_port.h
	install -m 644 config/config.h $(PREFIX)/include/axTLS

installclean:
	-@rm $(PREFIX)/lib/libax* > /dev/null 2>&1
	-@rm $(PREFIX)/bin/ax* > /dev/null 2>&1
	-@rm $(PREFIX)/bin/axhttpd* > /dev/null 2>&1
	-@rm `perl -e 'use Config; print $$Config{installarchlib};'`/axtlsp.pm > /dev/null 2>&1

test:
	cd $(STAGE); ssltest; ../ssl/test/test_axssl.sh; cd -;

# tidy up things
clean::
	@cd crypto; $(MAKE) clean
	@cd ssl; $(MAKE) clean
	@cd httpd; $(MAKE) clean
	@cd axtlswrap; $(MAKE) clean
	@cd samples; $(MAKE) clean
	@cd docsrc; $(MAKE) clean
	@cd bindings; $(MAKE) clean

# ---------------------------------------------------------------------------
# mconf stuff
# ---------------------------------------------------------------------------

CONFIG_CONFIG_IN = config/Config.in
CONFIG_DEFCONFIG = config/defconfig

config/scripts/config/conf: config/scripts/config/Makefile
	$(MAKE) -C config/scripts/config conf
	-@if [ ! -f config/.config ] ; then \
		cp $(CONFIG_DEFCONFIG) config/.config; \
	fi

config/scripts/config/mconf: config/scripts/config/Makefile
	$(MAKE) -C config/scripts/config ncurses conf mconf
	-@if [ ! -f config/.config ] ; then \
		cp $(CONFIG_DEFCONFIG) .config; \
	fi

cleanconf:
	$(MAKE) -C config/scripts/config clean
	@rm -f config/.config

menuconfig: config/scripts/config/mconf
	@./config/scripts/config/mconf $(CONFIG_CONFIG_IN)

config: config/scripts/config/conf
	@./config/scripts/config/conf $(CONFIG_CONFIG_IN)

oldconfig: config/scripts/config/conf
	@./config/scripts/config/conf -o $(CONFIG_CONFIG_IN)

default: config/scripts/config/conf
	@./config/scripts/config/conf -d $(CONFIG_CONFIG_IN) > /dev/null
	$(MAKE)

randconfig: config/scripts/config/conf
	@./config/scripts/config/conf -r $(CONFIG_CONFIG_IN)

allnoconfig: config/scripts/config/conf
	@./config/scripts/config/conf -n $(CONFIG_CONFIG_IN)

allyesconfig: config/scripts/config/conf
	@./config/scripts/config/conf -y $(CONFIG_CONFIG_IN)

# The special win32 release configuration
win32releaseconf: config/scripts/config/conf
	@./config/scripts/config/conf -D config/win32config $(CONFIG_CONFIG_IN) > /dev/null
	$(MAKE)

# The special linux release configuration
linuxconf: config/scripts/config/conf
	@./config/scripts/config/conf -D config/linuxconfig $(CONFIG_CONFIG_IN) > /dev/null
	$(MAKE)

=== debian/changelog ===
gauche (0.9.5-1build1) bionic; urgency=medium

  * Rebuild against new libgdbm5.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 02 Feb 2018 15:24:56 +0100

gauche (0.9.5-1) unstable; urgency=medium

  * debian/libgauche-0.9-0.symbols: Update.
  * debian/gauche.install, debian/gauche-dev.install: Update.
  * debian/libgauche-0.9-0.install: Update.
  * debian/gauche-gdbm.install, debian/gauche-zlib.install: Update.
  * debian/control (Build-Depends): Simply, automake.
  * debian/rules (AUTOMAKE, ACLOCAL): Remove.
  (override_dh_auto_install): Fix.
  (override_dh_auto_clean, override_dh_auto_configure): Remove and link
  gc/config.sub, gc/config.guess (Closes: #736228).
  * New upstream release.
  * patches/42_hppa_libatomic_ops.patch: New (Closes: #809043).
  * debian/patches/series: Update.
  * debian/patches/37_ppc64el.patch: Remove.
  * debian/patches/40_mips64el.patch: Remove.
  * debian/patches/41_port_unlock_race.patch: Remove.

 -- NIIBE Yutaka <gniibe@fsij.org>  Mon, 24 Oct 2016 14:38:28 +0900

=== debian/control ===
Source: gauche
Section: lisp
Priority: optional
Maintainer: Debian Gauche Maintainers <pkg-gauche-devel@lists.alioth.debian.org>
Uploaders: YAEGASHI Takeshi <yaegashi@debian.org>, NIIBE Yutaka <gniibe@fsij.org>, Jens Thiele <karme@karme.de>
Build-Depends: quilt (>= 0.46-7~), debhelper (>= 9), autotools-dev, texinfo, libgdbm-dev, autoconf, automake, libtool, pkg-config, slib (>> 3a5), zlib1g-dev, netbase
Standards-Version: 3.9.6
Homepage: http://practical-scheme.net/gauche/

Package: gauche
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: wiliki (<< 0.5.1), gauche-dev (<= 0.9.1-5)
Replaces: gauche-dev (<= 0.9.1-5)
Recommends: slib
Suggests: r5rs-doc, gauche-doc, gauche-zlib, gauche-gdbm
Description: Scheme script engine
 Gauche is a Scheme implementation developed to be a handy script
 interpreter, which allows programmers and system administrators to
 write small to large scripts for their daily chores. Quick startup,
 built-in system interface, native multilingual support are some of
 the author's goals.

Package: libgauche-0.9-0
Section: libs
Architecture: any
Breaks: gauche (<= 0.9.1-5), libgauche0 (<= 0.9.1-5)
Replaces: gauche (<= 0.9.1-5), libgauche0 (<= 0.9.1-5)
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Gauche runtime shared library
 Gauche is a Scheme implementation developed to be a handy script
 interpreter.
 .
 This package contains Gauche runtime shared library.

Package: gauche-gdbm
Architecture: any
Depends: gauche (>= 0.9.3-1), ${shlibs:Depends}, ${misc:Depends}
Description: gdbm binding for Gauche
 Gauche is a Scheme implementation developed to be a handy script
 interpreter, which allows programmers and system administrators to
 write small to large scripts for their daily chores. Quick startup,
 built-in system interface, native multilingual support are some of
 the author's goals.
 .
 This package contains GDBM binding modules for Gauche.

Package: gauche-zlib
Architecture: any
Depends: gauche (>= 0.9.3-1), ${shlibs:Depends}, ${misc:Depends}
Breaks: gauche (<= 0.9.1-5), gauche-dev (<= 0.9.1-5)
Replaces: gauche (<= 0.9.1-5)
Description: zlib binding for Gauche
 Gauche is a Scheme implementation developed to be a handy script
 interpreter, which allows programmers and system administrators to
 write small to large scripts for their daily chores. Quick startup,
 built-in system interface, native multilingual support are some of
 the author's goals.
 .
 This package contains zlib binding modules for Gauche.

Package: gauche-dev
Section: lisp
Architecture: any
Depends: gauche (>= 0.9.3-1), ${shlibs:Depends}, ${misc:Depends}
Breaks: gauche (<= 0.9.1-5)
Replaces: gauche (<= 0.9.1-5)
Description: Development files for Gauche
 Gauche is a Scheme implementation developed to be a handy script
 interpreter, which allows programmers and system administrators to
 write small to large scripts for their daily chores. Quick startup,
 built-in system interface, native multilingual support are some of
 the author's goals.
 .
 This package contains development files of Gauche.

Package: gauche-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: Reference manual of Gauche
 Gauche is a Scheme implementation developed to be a handy script
 interpreter, which allows programmers and system administrators to
 write small to large scripts for their daily chores. Quick startup,
 built-in system interface, native multilingual support are some of
 the author's goals.
 .
 This package contains info documents of the reference manual of Gauche
 (English, Japanese).

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile-gmake -*-
#export DH_VERBOSE=1
export DH_OPTIONS
export GZIP=-9 -n

%:
	dh $@ --with quilt

override_dh_auto_clean:
	-dh_auto_clean
	rm -f configure config.sub config.guess
	rm -f gc/config.sub gc/config.guess
	rm -f gc/libatomic_ops/config.sub gc/libatomic_ops/config.guess
	rm -f lib/gauche/config.scm
	rm -f gc/aclocal.m4
	rm -f gc/configure gc/Makefile.in
	rm -f gc/libatomic_ops/configure gc/libatomic_ops/Makefile.in
	rm -f gc/libatomic_ops/src/Makefile.in gc/libatomic_ops/doc/Makefile.in
	rm -f gc/libatomic_ops/tests/Makefile.in gc/libatomic_ops/aclocal.m4
	find . -name "*.sci" | xargs rm -f
	find . -type l -name "*.scm" | xargs rm -f

override_dh_auto_configure:
	ln -sf /usr/share/misc/config.sub .
	ln -sf /usr/share/misc/config.guess .
	(cd gc; ln -sf /usr/share/misc/config.sub .)
	(cd gc; ln -sf /usr/share/misc/config.guess .)
	(cd gc/libatomic_ops; ln -sf /usr/share/misc/config.sub .)
	(cd gc/libatomic_ops; ln -sf /usr/share/misc/config.guess .)
	autoconf
	(cd gc; autoreconf -I m4)
#	dh_auto_configure -v -- --enable-multibyte=utf-8 --enable-ipv6 --enable-threads=pthreads --with-slib=/usr/share/slib EXTRA_TEST_LIBS=-lpthread
#
#	  --build=x86_64-linux-gnu 
#	  --libdir=/usr/lib/x86_64-linux-gnu --libexecdir=/usr/lib/x86_64-linux-gnu \
#
	ac_cv_prog_OPENSSL=none ./configure --prefix=/usr \
	  --includedir=/usr/include --mandir=/usr/share/man \
	  --infodir=/usr/share/info --sysconfdir=/etc \
	  --localstatedir=/var \
	  --disable-maintainer-mode --disable-dependency-tracking \
	  --enable-multibyte=utf-8 --enable-ipv6 --enable-threads=pthreads \
	  --with-slib=/usr/share/slib EXTRA_TEST_LIBS=-lpthread

override_dh_auto_install:
	make DESTDIR=$(CURDIR)/debian/tmp slibcat-in-place install-pkg install-doc

## gauche 0.9.6

=== ext/tls/axTLS/Makefile ===
--- 
+++ 
@@ -108,7 +108,6 @@
 	install -m 644 ssl/*.h $(PREFIX)/include/axTLS
 	-rm $(PREFIX)/include/axTLS/cert.h
 	-rm $(PREFIX)/include/axTLS/private_key.h
-	-rm $(PREFIX)/include/axTLS/os_port.h
 	install -m 644 config/config.h $(PREFIX)/include/axTLS
 
 installclean:

=== ext/tls/axTLS/ssl/Makefile ===
#
# Copyright (c) 2007, Cameron Rich
#
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are met:
#
# * Redistributions of source code must retain the above copyright notice,
#   this list of conditions and the following disclaimer.
# * Redistributions in binary form must reproduce the above copyright
#   notice, this list of conditions and the following disclaimer in the
#   documentation and/or other materials provided with the distribution.
# * Neither the name of the axTLS project nor the names of its
#   contributors may be used to endorse or promote products derived
#   from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR 
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
# CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED
# TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY 
# OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
# NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
# THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

AXTLS_HOME=..

include $(AXTLS_HOME)/config/.config
include $(AXTLS_HOME)/config/makefile.conf

all: libs
ifdef CONFIG_PERFORMANCE_TESTING
	$(MAKE) -C test
else
ifdef CONFIG_SSL_TEST
	$(MAKE) -C test
endif
endif

ifndef CONFIG_PLATFORM_WIN32
TARGET1=$(AXTLS_HOME)/$(STAGE)/libaxtls.a
BASETARGET=libaxtls.so
CRYPTO_PATH=$(AXTLS_HOME)/crypto/
ifdef CONFIG_PLATFORM_CYGWIN
TARGET2=$(AXTLS_HOME)/$(STAGE)/libaxtls.dll.a
else
TARGET2=$(AXTLS_HOME)/$(STAGE)/$(LIBMINOR)
endif

# shared library major/minor numbers
LIBMAJOR=$(BASETARGET).1
LIBMINOR=$(BASETARGET).1.2
else
TARGET1=$(AXTLS_HOME)/$(STAGE)/axtls.lib
TARGET2=$(AXTLS_HOME)/$(STAGE)/axtls.dll
STATIC_LIB=$(AXTLS_HOME)/$(STAGE)/axtls.static.lib
CRYPTO_PATH=$(AXTLS_HOME)\\crypto\\
endif

libs: $(TARGET1) $(TARGET2)

CRYPTO_OBJ=\
	$(CRYPTO_PATH)aes.o \
	$(CRYPTO_PATH)bigint.o \
	$(CRYPTO_PATH)crypto_misc.o \
	$(CRYPTO_PATH)hmac.o \
	$(CRYPTO_PATH)md5.o \
	$(CRYPTO_PATH)rc4.o \
	$(CRYPTO_PATH)rsa.o \
	$(CRYPTO_PATH)sha1.o \
	$(CRYPTO_PATH)sha256.o \
	$(CRYPTO_PATH)sha384.o \
	$(CRYPTO_PATH)sha512.o

OBJ=\
	asn1.o \
	gen_cert.o \
	loader.o \
	openssl.o \
	os_port.o \
	p12.o \
	tls1.o \
	tls1_svr.o \
	tls1_clnt.o \
	x509.o

include $(AXTLS_HOME)/config/makefile.post

ifndef CONFIG_PLATFORM_WIN32     # Linux/Unix/Cygwin

$(TARGET1) : $(CRYPTO_OBJ) $(OBJ)
	$(AR) -r $@ $(CRYPTO_OBJ) $(OBJ)

$(TARGET2) : $(CRYPTO_OBJ) $(OBJ)
ifndef CONFIG_PLATFORM_CYGWIN
	$(LD) $(LDFLAGS) $(LDSHARED) -Wl,-soname,$(LIBMAJOR) -o $(AXTLS_HOME)/$(STAGE)/$(LIBMINOR) $(CRYPTO_OBJ) $(OBJ)
	cd $(AXTLS_HOME)/$(STAGE); ln -sf $(LIBMINOR) $(LIBMAJOR); ln -sf $(LIBMAJOR) $(BASETARGET); cd -
else
	$(LD) $(LDFLAGS) $(LDSHARED) -o $(AXTLS_HOME)/$(STAGE)/cygaxtls.dll \
    -Wl,--out-implib=$(AXTLS_HOME)/$(STAGE)/libaxtls.dll.a \
    -Wl,--export-all-symbols \
    -Wl,--enable-auto-import $(CRYPTO_OBJ) $(OBJ)
endif

else  # Win32
CRYPTO_OBJ:=$(CRYPTO_OBJ:.o=.obj)

$(TARGET1) : $(OBJ)
	$(AR) /out:$@ $(CRYPTO_OBJ) $(OBJ)

$(TARGET2) : $(OBJ)
	cp $(TARGET1) $(STATIC_LIB)
	$(LD) $(LDFLAGS) $(LDSHARED) /out:$@ $(CRYPTO_OBJ) $(OBJ)

endif    

clean::
	$(MAKE) -C test clean
	-@rm -f $(AXTLS_HOME)/$(STAGE)/* *.a $(TARGET1) $(TARGET2)

=== debian/changelog ===
gauche (0.9.6-10build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:41:20 +0100

gauche (0.9.6-10) unstable; urgency=medium

  * debian/patches/45_reproducible_sort_files.patch: New.

 -- NIIBE Yutaka <gniibe@fsij.org>  Thu, 18 Oct 2018 09:07:27 +0900

gauche (0.9.6-9) unstable; urgency=medium

  * debian/patches/34_alpha_stackbottom.patch: Add again.
  * debian/rules (override_dh_auto_build): Add with --no-parallel.

 -- NIIBE Yutaka <gniibe@fsij.org>  Tue, 16 Oct 2018 17:20:37 +0900

gauche (0.9.6-8) unstable; urgency=medium

  * debian/control (Build-Depends): Add libgdbm-dev version requirement.
  * debian/patches/45_avoid_duplicate_LDFLAGS.patch: Remove.
  * debian/patches/42_cflags_reproducible.patch: More fix.
  * debian/patches/31_ldflags_for_ext.patch: Fix.
  * debian/libgauche-0.9-0.postinst: Remove.
  * debian/libgauche-0.9-0.postrm: Remove.
  * debian/watch: Update.

 -- NIIBE Yutaka <gniibe@fsij.org>  Mon, 15 Oct 2018 15:01:36 +0900

gauche (0.9.6-7) unstable; urgency=medium

  * debian/rules: Use dh_auto_configure.
  * debian/patches/45_avoid_duplicate_LDFLAGS.patch: New.
  * debian/patches/42_cflags_reproducible.patch: Fix.
  * libgauche-0.9-0.symbols: Update for kfreebsd-amd64, x32 and alpha.

 -- NIIBE Yutaka <gniibe@fsij.org>  Sat, 06 Oct 2018 16:42:19 +0900

gauche (0.9.6-6) unstable; urgency=medium

  * debian/patches/44_endian_not_asm_byteorder_h.patch: New.

  * libgauche-0.9-0.symbols: Update for ppc64, ppc64el, s390x, mips,
  armel, mips64el, armhf, hppa, mipsel and ia64 (notyet: alpha, x32).

 -- NIIBE Yutaka <gniibe@fsij.org>  Fri, 05 Oct 2018 17:27:34 +0900

gauche (0.9.6-5) unstable; urgency=medium

  * debian/rules: Add ac_cv_prog_OPENSSL="" to disable openssl.
  * debian/patches/42_hppa_libatomic_ops.patch: Enable again with update.

 -- NIIBE Yutaka <gniibe@fsij.org>  Fri, 05 Oct 2018 10:00:04 +0900

gauche (0.9.6-4) unstable; urgency=medium

  * debian/control (Build-Depends): Remove libatomic-ops-dev, use internal
  version instead.  Remove openssl to skip tests in ext/tls which doesn't
  work with newer version, because of deprecated keysize.

  * debian/libgauche-0.9-0.symbols: Update to include AO_* symbols.
  Update for arm64.

  Update patches to include some description.
  * debian/patches/40_tls_test_localhost.patch: Update
  * debian/patches/41_link_libatomic.patch: Update
  * debian/patches/42_cflags_reproducible.patch: Update
  * debian/patches/43_makedoc_gzip_best.patch: Update

  Remove patches for older libgc.
  * debian/patches/17_libgc_thread_local_for_archs.patch: Remove
  * debian/patches/27_libgc_fix__data_start.patch: Remove
  * debian/patches/34_alpha_stackbottom.patch: Remove
  * debian/patches/36_sparc.patch: Remove
  * debian/patches/38_libgc_ppc64el.patch: Remove
  * debian/patches/42_hppa_libatomic_ops.patch: Remove

 -- NIIBE Yutaka <gniibe@fsij.org>  Fri, 05 Oct 2018 08:31:25 +0900

gauche (0.9.6-3) unstable; urgency=medium

  * debian/control (Standards-Version): Conforms to 4.2.1.
  * debian/patches/41_link_libatomic.patch: Update.
  * debian/patches/43_makedoc_gzip_best.patch: New.
  * debian/rules (GZIP): Remove.

 -- NIIBE Yutaka <gniibe@fsij.org>  Thu, 04 Oct 2018 14:19:37 +0900

gauche (0.9.6-2) unstable; urgency=medium

  * debian/libgauche-0.9-0.symbols: Update for m68k and powerpcspe.
  * debian/patches/39_net_test.patch: Test with localhost.
  * debian/patches/40_tls_test_localhost.patch: New.
  * debian/patches/41_link_libatomic.patch: New.
  * debian/patches/42_cflags_reproducible.patch: New.

 -- NIIBE Yutaka <gniibe@fsij.org>  Thu, 04 Oct 2018 10:12:32 +0900

gauche (0.9.6-1) unstable; urgency=medium

  * New upstream release.
  * debian/compat: Upgrade to 11.
  * debian/control (Standards-Version): Conforms to 4.1.3.
  (Build-Depends): Requiring debhelper >=11, remove quilt, autotools-dev,
  autoconf, and automake.  Require libatomic-ops-dev and openssl.
  (Vcs-*): New.
  (Maintainer): Don't use mailing list (Closes: #899898).
  * debian/patches/*.patch: Update.
  * debian/patches/series: Exclude libgc patches.
  * debian/rules: Use libgc as is.
  * debian/gauche-dev.install: Update.
  * debian/gauche.install: Update.
  * debian/libgauche-0.9-0.install: Update.
  * libgauche-0.9-0.symbols: Update.  Remove reference to libatomic.

 -- NIIBE Yutaka <gniibe@fsij.org>  Wed, 03 Oct 2018 13:31:00 +0900

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,13 @@
 Source: gauche
 Section: lisp
 Priority: optional
-Maintainer: Debian Gauche Maintainers <pkg-gauche-devel@lists.alioth.debian.org>
-Uploaders: YAEGASHI Takeshi <yaegashi@debian.org>, NIIBE Yutaka <gniibe@fsij.org>, Jens Thiele <karme@karme.de>
-Build-Depends: quilt (>= 0.46-7~), debhelper (>= 9), autotools-dev, texinfo, libgdbm-dev, autoconf, automake, libtool, pkg-config, slib (>> 3a5), zlib1g-dev, netbase
-Standards-Version: 3.9.6
+Maintainer: NIIBE Yutaka <gniibe@fsij.org>
+Uploaders: YAEGASHI Takeshi <yaegashi@debian.org>, Jens Thiele <karme@karme.de>
+Build-Depends: debhelper (>= 11), libgdbm-dev (>= 1.18), libtool, pkg-config, slib (>> 3a5), zlib1g-dev, netbase, texinfo
+Standards-Version: 4.2.1
 Homepage: http://practical-scheme.net/gauche/
+Vcs-Git: https://salsa.debian.org/debian/gauche.git
+Vcs-Browser: https://salsa.debian.org/debian/gauche
 
 Package: gauche
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile-gmake -*-
#export DH_VERBOSE=1
export DH_OPTIONS

%:
	dh $@

override_dh_auto_clean:
	-dh_auto_clean
	rm -f lib/gauche/config.scm
	find . -name "*.sci" | xargs rm -f
	find . -type l -name "*.scm" | xargs rm -f
#	rm -f configure config.sub config.guess

override_dh_auto_configure:
	dh_auto_configure -- --libdir=\$${prefix}/lib --libexecdir=\$${prefix}/lib \
	  --enable-multibyte=utf-8 --enable-ipv6 --enable-threads=pthreads \
	  --with-libatomic-ops=no --with-slib=/usr/share/slib \
	  ac_cv_prog_OPENSSL="" EXTRA_TEST_LIBS=-lpthread

override_dh_auto_build:
	dh_auto_build -O--no-parallel

override_dh_auto_install:
	make DESTDIR=$(CURDIR)/debian/tmp slibcat-in-place install-pkg install-doc

## gauche 0.9.10

=== tools/Makefile ===
SUBDIRS = scoop tls

all:

check:

clean:
	@for d in $(SUBDIRS); do (cd $$d; $(MAKE) clean); done

distclean: clean
	@for d in $(SUBDIRS); do (cd $$d; $(MAKE) distclean); done

maintainer-clean: clean
	@for d in $(SUBDIRS); do (cd $$d; $(MAKE) maintainer-clean); done
	rm -f Makefile

=== tools/tls/Makefile ===
#
# Build mbedtls along Gauche
#

.PHONY: mbedtls

# update these for new MbedTLS version / repo
MBEDTLS_VERSION = 2.24.0
MBEDTLS_SOURCE  = https://github.com/ARMmbed/mbedtls/archive/v$(MBEDTLS_VERSION).tar.gz


LN_S = ln -s


FETCHED = v$(MBEDTLS_VERSION).tgz
CONFIG_GENERATED = Makefile

MBEDTLS_LIBS_XTRA = libmbedx509.a libmbedcrypto.a
MBEDTLS_LIBS = libmbedtls.a $(MBEDTLS_LIBS_XTRA)

all: mbedtls

mbedtls: include/mbedtls $(MBEDTLS_LIBS)

include/mbedtls: libmbedtls.a
	rm -rf include
	mkdir include
	cd include && $(LN_S) ../mbedtls-$(MBEDTLS_VERSION)/include/mbedtls .

$(MBEDTLS_LIBS_XTRA) : libmbedtls.a

libmbedtls.a: mbedtls-$(MBEDTLS_VERSION)
	cd mbedtls-$(MBEDTLS_VERSION)                \
	 && cmake  .          \
	 && make -f CMakeFiles/Makefile2 library/all \
	 && cd library                               \
	 && cp $(MBEDTLS_LIBS) ../..

mbedtls-$(MBEDTLS_VERSION): v$(MBEDTLS_VERSION).tgz
	tar xzvf v$(MBEDTLS_VERSION).tgz
	echo 'set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fPIC")' >> mbedtls-$(MBEDTLS_VERSION)/library/CMakeLists.txt

v$(MBEDTLS_VERSION).tgz:
	curl -f -L -o v$(MBEDTLS_VERSION).tgz $(MBEDTLS_SOURCE)

clean:
	rm -rf include
	rm -rf $(MBEDTLS_LIBS)
	cd mbedtls-$(MBEDTLS_VERSION) && $(MAKE) -q clean ; true

distclean: clean
	rm -rf mbedtls-$(MBEDTLS_VERSION)

maintainer-clean: clean
	rm -rf mbedtls-$(MBEDTLS_VERSION) $(FETCHED) $(CONFIG_GENERATED)

=== winnt/wix/Makefile ===
--- 
+++ 
@@ -35,6 +35,8 @@
 	cat intro-COPYING.txt > copying.tmp
 	sed '1,/^$$/ d' $(COPYING) >> copying.tmp
 	cat libiconv-COPYING.LIB >> copying.tmp
+	cat libwinpthreads-COPYING.txt >> copying.tmp
+	cat mbedtls-COPYING.txt >> copying.tmp
 	../../src/gosh -ftest ./txt2rtf.scm copying.tmp Gauche/COPYING.rtf
 
 Gauche/gauche-logo.ico : gauche-logo.ico

=== ext/tls/axTLS/ssl/test/Makefile ===
#
# Copyright (c) 2007, Cameron Rich
#
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are met:
#
# * Redistributions of source code must retain the above copyright notice,
#   this list of conditions and the following disclaimer.
# * Redistributions in binary form must reproduce the above copyright
#   notice, this list of conditions and the following disclaimer in the
#   documentation and/or other materials provided with the distribution.
# * Neither the name of the axTLS project nor the names of its
#   contributors may be used to endorse or promote products derived
#   from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR 
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
# CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED
# TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY 
# OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
# NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
# THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

all:

AXTLS_HOME=../..

include $(AXTLS_HOME)/config/.config
include $(AXTLS_HOME)/config/makefile.conf

ifdef CONFIG_PERFORMANCE_TESTING
all: performance
endif

ifdef CONFIG_SSL_TEST
all: ssltesting
endif

include $(AXTLS_HOME)/config/makefile.post

ifndef CONFIG_PLATFORM_WIN32
performance: $(AXTLS_HOME)/$(STAGE)/perf_bigint
ssltesting: $(AXTLS_HOME)/$(STAGE)/ssltest
LIBS=$(AXTLS_HOME)/$(STAGE)

$(AXTLS_HOME)/$(STAGE)/perf_bigint: perf_bigint.o $(LIBS)/libaxtls.a
	$(LD) $(LDFLAGS) -o $@ $^ -L $(LIBS) -laxtls

$(AXTLS_HOME)/$(STAGE)/ssltest: ssltest.o $(LIBS)/libaxtls.a
	$(LD) $(LDFLAGS) -o $@ $^ -lpthread -L $(LIBS) -laxtls
else
performance: $(AXTLS_HOME)/$(STAGE)/perf_bigint.exe
ssltesting: $(AXTLS_HOME)/$(STAGE)/ssltest.exe

CRYPTO_PATH="$(AXTLS_INCLUDE)crypto\\"
AXTLS_SSL_PATH="$(AXTLS_INCLUDE)ssl\\"

CRYPTO_OBJ=\
	$(CRYPTO_PATH)aes.obj \
	$(CRYPTO_PATH)bigint.obj \
	$(CRYPTO_PATH)crypto_misc.obj \
	$(CRYPTO_PATH)hmac.obj \
	$(CRYPTO_PATH)md2.obj \
	$(CRYPTO_PATH)md5.obj \
	$(CRYPTO_PATH)rc4.obj \
	$(CRYPTO_PATH)rsa.obj \
	$(CRYPTO_PATH)sha1.obj \
	$(CRYPTO_PATH)sha256.obj \
	$(CRYPTO_PATH)sha384.obj \
	$(CRYPTO_PATH)sha512.obj

OBJ=\
	$(AXTLS_SSL_PATH)asn1.obj \
	$(AXTLS_SSL_PATH)gen_cert.obj \
	$(AXTLS_SSL_PATH)loader.obj \
	$(AXTLS_SSL_PATH)openssl.obj \
	$(AXTLS_SSL_PATH)os_port.obj \
	$(AXTLS_SSL_PATH)p12.obj \
	$(AXTLS_SSL_PATH)x509.obj \
	$(AXTLS_SSL_PATH)tls1.obj \
	$(AXTLS_SSL_PATH)tls1_svr.obj \
	$(AXTLS_SSL_PATH)tls1_clnt.obj

$(AXTLS_HOME)/$(STAGE)/perf_bigint.exe: perf_bigint.obj
	$(LD) $(LDFLAGS) /out:$@ $? $(CRYPTO_OBJ) $(OBJ)

$(AXTLS_HOME)/$(STAGE)/ssltest.exe: ssltest.obj
	$(LD) $(LDFLAGS) /out:$@ $? $(CRYPTO_OBJ) $(OBJ)
endif

clean::
	-@rm -f $(AXTLS_HOME)/$(STAGE)/perf_bigint* $(AXTLS_HOME)/$(STAGE)/ssltest*

=== debian/changelog ===
gauche (0.9.10-3) unstable; urgency=medium

  * debian/patches/46_ctermid.patch: New.  Fixes FTBFS for mipsel.
  * debian/patches/47_ctermid_c.patch: New.
  * debian/patches/series: Update.

 -- NIIBE Yutaka <gniibe@fsij.org>  Wed, 23 Dec 2020 13:46:09 +0900

gauche (0.9.10-2) unstable; urgency=medium

  * debian/patches/28_test_under_pty.patch: Remove.
  * debian/patches/series: Update.
  * debian/compat: Upgrade to 13.
  * debian/libgauche-0.97-0.symbols: Update.
    (Build-Depends-Package): Add.
  * debian/control (Build-Depends): Require newer debhelper.
    (Standards-Version): Conforms to 4.5.1.
    (Rules-Requires-Root): Add.

 -- NIIBE Yutaka <gniibe@fsij.org>  Mon, 21 Dec 2020 10:47:20 +0900

gauche (0.9.10-1) unstable; urgency=medium

  [ Jens Thiele ]
  * New upstream release

  [ NIIBE Yutaka ]
  * Recover patch files for Debian buildd:
    - debian/patches/28_test_under_pty.patch
    - debian/patches/35_axtls_error.patch
  * debian/patches/02_linking.patch: Update.
  * debian/patches/03_rm_without_xlink.patch: Update.
  * debian/patches/15_ext_termios.patch: Update.
  * debian/patches/20_check_exit_status.patch: Update.
  * debian/patches/23_sh4_requires_mieee.patch: Update.
  * debian/patches/26_no_microversion_in_soname.patch: Update.
  * debian/patches/28_test_under_pty.patch: Update.
  * debian/patches/34_alpha_stackbottom.patch: Update.
  * debian/patches/39_net_test.patch: Update.
  * debian/patches/40_tls_test_localhost.patch: Update.
  * debian/patches/44_endian_not_asm_byteorder_h.patch: Update.
  * debian/libgauche-0.9-0.symbols: Update.
  * debian/control (Package): Rename libgauche-0.9-0 to libgauche-0.97-0,
    following the soname change of upstream.
  * debian/libgauche-0.97-0.symbols: Rename from libgauche-0.9-0.symbols.
  * debian/libgauche-0.97-0.install: Rename from libgauche-0.9-0.install.
  * debian/patches/31_ldflags_for_ext.patch: Add -l@LINKGAUCHE@.
  * debian/gauche-doc.lintian: Remove.
  * debian/patches/series: Don't apply 35_axtls_error.patch, because we
    don't use axTLS now.  Keep the patch, because upstream doesn't remove
    it yet.
  * debian/patches/28_test_under_pty.patch: Rewrite to fix generating
    wrong "aborted" entry (Closes: #957256).

 -- NIIBE Yutaka <gniibe@fsij.org>  Fri, 18 Dec 2020 16:11:10 +0900

gauche (0.9.10~rc1-1) unstable; urgency=medium

  * New upstream release
  * 45_reproducible_sort_files.patch: Remove.
  * 28_test_under_pty.patch: Remove
  * 35_axtls_error.patch: Remove
  * debian/control (Build-Depends): Add openssl and libmbedtls-dev
  * debian/rules: configure --with-tls=mbedtls
  * debian/*install: Update.
  * debian/doc: Update.

 -- Jens Thiele <karme@karme.de>  Thu, 12 Nov 2020 11:27:36 +0100

=== debian/control ===
--- 
+++ 
@@ -3,17 +3,16 @@
 Priority: optional
 Maintainer: NIIBE Yutaka <gniibe@fsij.org>
 Uploaders: YAEGASHI Takeshi <yaegashi@debian.org>, Jens Thiele <karme@karme.de>
-Build-Depends: debhelper (>= 11), libgdbm-dev (>= 1.18), libtool, pkg-config, slib (>> 3a5), zlib1g-dev, netbase, texinfo
-Standards-Version: 4.2.1
+Build-Depends: debhelper (>= 13~), libgdbm-dev (>= 1.18), libtool, pkg-config, slib (>> 3a5), zlib1g-dev, netbase, texinfo, openssl, libmbedtls-dev
+Standards-Version: 4.5.1
 Homepage: http://practical-scheme.net/gauche/
 Vcs-Git: https://salsa.debian.org/debian/gauche.git
 Vcs-Browser: https://salsa.debian.org/debian/gauche
+Rules-Requires-Root: binary-targets
 
 Package: gauche
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Breaks: wiliki (<< 0.5.1), gauche-dev (<= 0.9.1-5)
-Replaces: gauche-dev (<= 0.9.1-5)
 Recommends: slib
 Suggests: r5rs-doc, gauche-doc, gauche-zlib, gauche-gdbm
 Description: Scheme script engine
@@ -23,11 +22,9 @@
  built-in system interface, native multilingual support are some of
  the author's goals.
 
-Package: libgauche-0.9-0
+Package: libgauche-0.97-0
 Section: libs
 Architecture: any
-Breaks: gauche (<= 0.9.1-5), libgauche0 (<= 0.9.1-5)
-Replaces: gauche (<= 0.9.1-5), libgauche0 (<= 0.9.1-5)
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Gauche runtime shared library
  Gauche is a Scheme implementation developed to be a handy script
@@ -37,7 +34,7 @@
 
 Package: gauche-gdbm
 Architecture: any
-Depends: gauche (>= 0.9.3-1), ${shlibs:Depends}, ${misc:Depends}
+Depends: gauche (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Description: gdbm binding for Gauche
  Gauche is a Scheme implementation developed to be a handy script
  interpreter, which allows programmers and system administrators to
@@ -49,9 +46,7 @@
 
 Package: gauche-zlib
 Architecture: any
-Depends: gauche (>= 0.9.3-1), ${shlibs:Depends}, ${misc:Depends}
-Breaks: gauche (<= 0.9.1-5), gauche-dev (<= 0.9.1-5)
-Replaces: gauche (<= 0.9.1-5)
+Depends: gauche (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Description: zlib binding for Gauche
  Gauche is a Scheme implementation developed to be a handy script
  interpreter, which allows programmers and system administrators to
@@ -62,11 +57,8 @@
  This package contains zlib binding modules for Gauche.
 
 Package: gauche-dev
-Section: lisp
 Architecture: any
-Depends: gauche (>= 0.9.3-1), ${shlibs:Depends}, ${misc:Depends}
-Breaks: gauche (<= 0.9.1-5)
-Replaces: gauche (<= 0.9.1-5)
+Depends: gauche (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Description: Development files for Gauche
  Gauche is a Scheme implementation developed to be a handy script
  interpreter, which allows programmers and system administrators to

=== debian/rules ===
--- 
+++ 
@@ -16,8 +16,8 @@
 override_dh_auto_configure:
 	dh_auto_configure -- --libdir=\$${prefix}/lib --libexecdir=\$${prefix}/lib \
 	  --enable-multibyte=utf-8 --enable-ipv6 --enable-threads=pthreads \
-	  --with-libatomic-ops=no --with-slib=/usr/share/slib \
-	  ac_cv_prog_OPENSSL="" EXTRA_TEST_LIBS=-lpthread
+	  --with-libatomic-ops=no --with-slib=/usr/share/slib --with-tls=mbedtls \
+	  EXTRA_TEST_LIBS=-lpthread
 
 override_dh_auto_build:
 	dh_auto_build -O--no-parallel

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ \
http://sf.net/gauche/Gauche-([\d\.]*)\.tgz debian uupdate

## gauche 0.9.15

=== test/data/Makefile ===
# This makefile is to prepare packaging data.
# The user doesn't need this.

GETTEXT_DATA = gettext.data.euc-jp.scm \
               gettext.data.sjis.scm \
               gettext.data.none.scm

GENERATED = $(GETTEXT_DATA)


all : $(GENERATED)

check :

clean :
	rm -f core *~

distclean : clean

maintainer-clean : clean
	rm -f $(GENERATED)

gettext.data.euc-jp.scm : gettext.data.utf-8.scm
	gosh -I../../src gauche-cesconv -f utf-8 -t eucjp -o gettext.data.euc-jp.scm gettext.data.utf-8.scm

gettext.data.sjis.scm : gettext.data.utf-8.scm
	gosh -I../../src gauche-cesconv -f utf-8 -t sjis -o gettext.data.sjis.scm gettext.data.utf-8.scm

# note: 'none' must be in eucjp encoding, since test .po file is
# in eucjp encoding and 'none' compares them bytewise.
gettext.data.none.scm : gettext.data.utf-8.scm
	gosh -I../../src gauche-cesconv -f utf-8 -t eucjp -o gettext.data.none.scm gettext.data.utf-8.scm

=== tools/tls/Makefile ===
#
# Build mbedtls along Gauche
#

.PHONY: mbedtls

# update these for new MbedTLS version / repo
MBEDTLS_VERSION = 3.6.0
#MBEDTLS_VERSION = 3.5.2
MBEDTLS_SOURCE_BZ  = https://github.com/Mbed-TLS/mbedtls/releases/download/v$(MBEDTLS_VERSION)/mbedtls-$(MBEDTLS_VERSION).tar.bz2
MBEDTLS_SOURCE_GZ  = https://github.com/Mbed-TLS/mbedtls/archive/refs/tags/v$(MBEDTLS_VERSION).tar.gz
FETCHED_BZ = mbedtls-$(MBEDTLS_VERSION).tar.bz2
FETCHED_GZ = mbedtls-$(MBEDTLS_VERSION).tar.gz

LN_S = ln -s
OBJEXT = o

CONFIG_GENERATED = Makefile

MBEDTLS_LIBS_XTRA = libmbedx509.a libmbedcrypto.a
MBEDTLS_LIBS = libmbedtls.a $(MBEDTLS_LIBS_XTRA)
GAUCHE_THREAD_TYPE = pthreads

all: mbedtls

mbedtls: include/mbedtls $(MBEDTLS_LIBS)

include/mbedtls: libmbedtls.a
	rm -rf include
	mkdir include
	cd include && $(LN_S) ../mbedtls-$(MBEDTLS_VERSION)/include/mbedtls .
	cd include && $(LN_S) ../mbedtls-$(MBEDTLS_VERSION)/include/psa .

$(MBEDTLS_LIBS_XTRA) : libmbedtls.a

libmbedtls.a: mbedtls-$(MBEDTLS_VERSION)
	cd mbedtls-$(MBEDTLS_VERSION)                \
	 && ../process-config.sh $(GAUCHE_THREAD_TYPE) include/mbedtls/mbedtls_config.h \
	 && cmake  .          \
	 && make -f CMakeFiles/Makefile2 library/all \
	 && cd library                               \
	 && cp $(MBEDTLS_LIBS) ../..

mbedtls-$(MBEDTLS_VERSION):
	if curl -f -L -o $(FETCHED_BZ) $(MBEDTLS_SOURCE_BZ); then \
	  tar xjvf $(FETCHED_BZ); \
	elif curl -f -L -o $(FETCHED_GZ) $(MBEDTLS_SOURCE_GZ); then \
	  tar xzvf $(FETCHED_GZ); \
	else \
	  echo "Couldn't fetch MbedTLS $(MBEDTLS_VERSION)"; \
	  exit 1; \
	fi
	echo 'set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fPIC")' >> mbedtls-$(MBEDTLS_VERSION)/library/CMakeLists.txt

# list-objects target is called by src/list-ext-objects.sh to gather
# object files to archive into static gauche library.
# NB: mbedtls is configured independently from Gauche, so our OBJEXT
# may not match the one used in mbedtls.  We need to use 'find' to collect
# objects heuristically.
list-objects:
	rm -rf objects && mkdir -p objects \
	  && for a in $(MBEDTLS_LIBS); do (cd objects; ar x ../$$a); done \
	  && find objects \( -name '*.$(OBJEXT)' -o -name '*.obj' \) \
	       -exec echo "/// `pwd`/{}" \;

clean:
	rm -rf include objects
	rm -rf $(MBEDTLS_LIBS)
	cd mbedtls-$(MBEDTLS_VERSION) && $(MAKE) -q clean ; true

distclean: clean
	rm -rf mbedtls-$(MBEDTLS_VERSION)

maintainer-clean: clean
	rm -rf mbedtls-$(MBEDTLS_VERSION) $(FETCHED_BZ) $(FETCHED_GZ) $(CONFIG_GENERATED)

=== ext/charconv/data/Makefile ===

.SUFFIXES: .EUCJP .SJIS .UTF-8 .ISO2022JP .EUCKR .ISO2022KR .ISO8859-1

GENERATED = jp1.SJIS jp1.UTF-8 jp1.ISO2022JP \
	    jp2.SJIS jp2.ISO2022JP \
            jp3.SJIS jp3.UTF-8 jp3.ISO2022JP \
            jp4.SJIS jp4.UTF-8 jp4.ISO2022JP \
	    kr1.UTF-8 kr1.ISO2022KR

.EUCJP.SJIS:
	nkf -E -s -x $< > $@

.EUCJP.UTF-8:
	iconv -f EUC-JP -t UTF-8 $< > $@

.EUCJP.ISO2022JP:
	nkf -E -j -x $< > $@

.EUCKR.UTF-8:
	iconv -f EUC-KR -t UTF-8 $< > $@

.EUCKR.ISO2022KR:
	iconv -f EUC-KR -t ISO2022KR $< > $@

.EUCKR.ASCII:
	iconv -f EUC-KR -t ASCII//TRANSLIT $< > $@

.ISO8859-1.UTF-8:
	iconv -f ISO-8859-1 -t UTF-8 $< > $@

all: $(GENERATED)

clean :
	rm -f core *~

distclean : clean

realclean : clean

## gauche 0.9.15-p2%2B20241205

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,9 @@
 Priority: optional
 Maintainer: NIIBE Yutaka <gniibe@fsij.org>
 Uploaders: YAEGASHI Takeshi <yaegashi@debian.org>, Jens Thiele <karme@karme.de>
-Build-Depends: debhelper (>= 13~), libgdbm-dev (>= 1.18), libtool, pkg-config, slib (>> 3a5), zlib1g-dev, netbase, texinfo, openssl, libmbedtls-dev
+Build-Depends: dpkg-dev (>= 1.22.5), debhelper (>= 13~), libgdbm-dev (>= 1.18),
+	libtool, pkgconf, zlib1g-dev, netbase, texinfo,
+	openssl, libmbedtls-dev, debhelper-compat (= 13)
 Standards-Version: 4.5.1
 Homepage: http://practical-scheme.net/gauche/
 Vcs-Git: https://salsa.debian.org/debian/gauche.git
@@ -22,7 +24,7 @@
  built-in system interface, native multilingual support are some of
  the author's goals.
 
-Package: libgauche-0.97-0
+Package: libgauche-0.98-0
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -58,7 +60,7 @@
 
 Package: gauche-dev
 Architecture: any
-Depends: gauche (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Depends: gauche (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, libmbedtls-dev
 Description: Development files for Gauche
  Gauche is a Scheme implementation developed to be a handy script
  interpreter, which allows programmers and system administrators to

## gauche 0.9.15-p2+20241205

=== debian/changelog ===
gauche (0.9.15-p2+20241205-4) unstable; urgency=medium

  * debian/patches/61_not_test_net_with_user42: Rename.
  * debian/patches/series: Update.

 -- NIIBE Yutaka <gniibe@fsij.org>  Tue, 24 Dec 2024 11:43:31 +0900

gauche (0.9.15-p2+20241205-3) unstable; urgency=medium

  * debian/patches/61_test_net_only_with_localhost: New.
    (Closes: #1091021)
  * debian/patches/series: Update.

 -- NIIBE Yutaka <gniibe@fsij.org>  Mon, 23 Dec 2024 11:37:35 +0900

gauche (0.9.15-p2+20241205-2) unstable; urgency=medium

  * debian/control (Build-Depends): Remove slib.
  * debian/gauche.install: Update for slibcat removal.
  * debian/patches/60_no_slibcat: New.
  * debian/patches/series: Update.
  * debian/NEWS: New.

 -- NIIBE Yutaka <gniibe@fsij.org>  Tue, 17 Dec 2024 14:20:01 +0900

gauche (0.9.15-p2+20241205-1) unstable; urgency=medium

  [ Jens Thiele ]
  * New upstream release.
  * debian/patches/series: Update.
  * debian/gauche.install: Update.
  * debian/gauche-dev.install: Update.
  * debian/libgauche-0.98-0.symbols: Update.  
  * debian/patches/59_make_clean.patch: New.

  [ NIIBE Yutaka ]
  * debian/patches/02_linking.patch: Refresh.
  * debian/patches/03_rm_without_xlink.patch: Refresh.
  * debian/patches/16_no_LIBS.patch: Refresh.
  * debian/patches/20_check_exit_status.patch: Refresh.
  * debian/patches/23_sh4_requires_mieee.patch: Refresh.
  * debian/patches/26_no_microversion_in_soname.patch: Refresh.
  * debian/patches/42_cflags_reproducible.patch: Refresh.
  * debian/patches/43_makedoc_gzip_best.patch: Refresh.
  * debian/patches/59_make_clean.patch: Refresh.
  * debian/patches/52_mbedtls_3_6_0.patch: Remove.
  * debian/patches/53_make_clean.patch: Remove.
  * debian/patches/54_0915-p1.patch: Remove.
  * debian/patches/55_0915-p1-generated.patch: Remove.
  * debian/control (Build-Depends): pkg-config => pkgconf.
  * debian/rules: Remove 'touch lib/srfi-0.scm'.

 -- NIIBE Yutaka <gniibe@fsij.org>  Fri, 06 Dec 2024 09:54:47 +0900

gauche (0.9.15-2) unstable; urgency=medium

  * debian/patches/54_0915-p1.patch: New.
  * debian/patches/55_0915-p1-generated.patch: New.
  * debian/gauche.install: Update.
  * debian/control (Build-Depends): Require debhelper-compat = 13.
  * debian/compat: Remove.
  * debian/rules: Add 'touch lib/srfi-0.scm' for generated files.

 -- NIIBE Yutaka <gniibe@fsij.org>  Wed, 27 Nov 2024 10:51:03 +0900

gauche (0.9.15-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/48_verbose_dup_output.diff: Remove.
  * debian/patches/49_parallel_gc.diff: Remove.
  * debian/patches/50_extended_pair_alignment.patch: Remove.
  * debian/patches/51_signed_overflow.patch: Remove.
  * debian/patches/52_mbedtls_3_6_0.patch: cherry pick 4a0e889934
    Thanks to Andrea Pappacoda for pointing this out.
    (Closes: #1075825)
  * debian/patches/series: Update.
  * debian/gauche.install: Update.
  * debian/libgauche-0.98-0.symbols: Update.
  * debian/patches/53_make_clean.patch: New.
  * debian/changelog: Remove trailing whitespace.

 -- Jens Thiele <karme@karme.de>  Fri, 15 Nov 2024 08:09:09 +0100

gauche (0.9.14-5) unstable; urgency=medium

  * debian/patches/51_signed_overflow.patch: Fixed with a paren.

 -- NIIBE Yutaka <gniibe@fsij.org>  Thu, 04 Apr 2024 09:11:53 +0900

gauche (0.9.14-4) unstable; urgency=medium

  * LoongArch is supported in upstream: Thanks to Dandan Zhang
    (Closes: #1059556).
  * debian/patches/51_signed_overflow.patch: New.
  * debian/patches/series: Update.

 -- NIIBE Yutaka <gniibe@fsij.org>  Wed, 03 Apr 2024 11:46:12 +0900

gauche (0.9.14-3) unstable; urgency=medium

  * debian/patches/50_extended_pair_alignment.patch: New
  (Closes: #1068205).
  * debian/patches/series: Update.
  * debian/control (Build-Depends): Require newer dpkg-dev.

 -- NIIBE Yutaka <gniibe@fsij.org>  Tue, 02 Apr 2024 15:02:58 +0900

gauche (0.9.14-2) unstable; urgency=medium

  * debian/control: make gauche-dev depend on libmbedtls-dev

 -- Jens Thiele <karme@karme.de>  Thu, 28 Mar 2024 15:42:59 +0100

gauche (0.9.14-1) unstable; urgency=medium

  * New upstream release 0.9.14.
  * debian/patches/series:
    remove 44_endian_not_asm_byteorder_h.patch
    remove 30_link_pthread.patch
    remove 40_tls_test_localhost.patch
  * debian/gauche.install: update
  * debian/gauche-dev.install: update
  * debian/libgauche-0.98-0.symbols: update
  * debian/patches/49_parallel_gc.diff: cherry pick 89d270ce5

 -- Jens Thiele <karme@karme.de>  Thu, 28 Mar 2024 14:54:35 +0100

gauche (0.9.13-2) unstable; urgency=medium

  * debian/patches/48_verbose_dup_output.diff: Added.

 -- Jens Thiele <karme@karme.de>  Tue, 14 Nov 2023 17:08:04 +0100

gauche (0.9.13-1) unstable; urgency=medium

  * New upstream release. (Closes: #1023035)
  * debian/control (Package): Rename libgauche-0.97-0 to libgauche-0.98-0,
    following the soname change of upstream.
  * debian/patches/46_ctermid.patch: Remove as upstream fixed it.
  * debian/patches/34_alpha_stackbottom.patch: Disabled for now as it
    resulted in a segmentation fault.
  * debian/patches/42_hppa_libatomic_ops.patch: Remove as no longer needed.
  * debian/patches/43_makedoc_gzip_best.patch: Update.
  * debian/patches/39_net_test.patch: Update.
  * debian/patches/47_ctermid_c.patch: Remove as upstream fixed it.
  * debian/patches/15_ext_termios.patch: Disable for now, must be merged.
  * debian/*install: Update.
  * debian/libgauche-0.98-0.symbols: Rename from libgauche-0.97-0.symbols.
  * debian/libgauche-0.98-0.install: Rename from libgauche-0.97-0.install.

 -- Jens Thiele <karme@karme.de>  Mon, 06 Nov 2023 08:23:53 +0100

=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,7 @@
 override_dh_auto_configure:
 	dh_auto_configure -- --libdir=\$${prefix}/lib --libexecdir=\$${prefix}/lib \
 	  --enable-multibyte=utf-8 --enable-ipv6 --enable-threads=pthreads \
-	  --with-libatomic-ops=no --with-slib=/usr/share/slib --with-tls=mbedtls \
+	  --with-slib=/usr/share/slib --with-tls=mbedtls \
 	  EXTRA_TEST_LIBS=-lpthread
 
 override_dh_auto_build:

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ \
https://practical-scheme.net/vault/Gauche-(\d[\d\.]*)\.tgz debian uupdate
